.auth-main {
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2rem;
  position: relative;
}

.auth-bg {
  position: absolute;
  inset: 0;
  pointer-events: none;
  overflow: hidden;
  opacity: 0.2;
  
}

.bg-circle {
  position: absolute;
  border-radius: 50%;
  filter: blur(80px);
  background: var(--primary-soft);
}

.bg-circle-lg {
  width: 380px;
  height: 380px;
  top: -100px;
  left: -100px;
  
}

.bg-circle-sm {
  width: 260px;
  height: 260px;
  top: 50%;
  right: -100px;
}

.auth-container {
  width: 100%;
  max-width: 480px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 1;
  border: 2px solid black;
  border-radius: 15px;
  padding: 20px 0;
  box-shadow: var(--shadow-lg);
}

.auth-card {
  background: var(--primary-soft);
  border-radius: 16px;
  overflow: hidden;
  box-shadow: var(--shadow-lg);
  
}

.auth-card-body {
  padding: 2rem;
}

.auth-header {
  text-align: center;
  margin-bottom: 2rem;
  margin: 20px;
}

.auth-header h1 {
  font-size: 1.75rem;
  margin-bottom: 0.5rem;
}

.role-switch {
  margin: 1rem;
  text-align: center;
}

.form-group {
  margin-bottom: 1.5rem;
  display: flex;
  flex-direction: column;
  text-align: center;
  margin: 30px 0;
}

.form-init-session {
  margin: 30px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.auth-card-footer {
  background: var(--primary-dark);
  text-align: center;
  padding: 0.8rem;
  font-size: 0.875rem;
}

.form-submit-session {
  width: 100%;
  margin-top: 25px;
}